<!-- commentList 商品评价 -->
<template >
  <div class="m_main_box" ref="main_box">

    <van-list :immediate-check="false" v-model="list_loading" :finished="list_finished" @load="m_loadList">
     
       <div  v-for="(item , i ) in m_data" :key="i" class="comment-item" >
           <div class="flex flex-m flex-b  mb10">
               <div class="c-f1">{{item.nickname}}</div>
               <div class="c-f1">{{item.created_at }}</div>
           </div>
           <div class="c-f2 mb10">{{item.content | content}}</div>
           <div>
               <img @click="showImg(item.images,index)" class="c-img" v-for="(img , index ) in item.images"  :src="img" :key="index" alt="">
           </div>
          <div v-if="item.replies" class="comment-item" >
              <div class="flex flex-m flex-b  mb10">
                  <div class="c-f1">{{item.replies.nickname+'@商家回覆'}}</div>
                  <div class="c-f1">{{item.replies.created_at }}</div>
              </div>
              <div class="c-f2 mb10">{{item.replies.content | content}}</div>
              <div>
                  <img @click="showImg(item.replies.img,index)" class="c-img" v-for="(img , index ) in item.replies.img" :key="index"  :src="img" alt="">
              </div>
           </div>

       </div>
    </van-list>
    <nodata v-if="!m_hasData&&!list_loading" />
    
  </div>
  
</template>

<script>
import { ImagePreview } from 'vant';
export default {
  name: 'commentList',
  props:{
      goods_id:{},
      created_by:'', 
      seller_name : ''
  },
  data() {
      
    return {
      m_pageInfo: {
        limit: 5,
        page: 1,
      },
    }
  },
  mounted() {
    this.init()

  },


 filters:{
     content(v){
         if(!v){return '此用户没有填写评论!'}
         return v
     }
 },


  methods: {
    init() {

      this.m_loadList()

    },



    getDataList() {
      return this.api.order_comment_list(Object.assign(this.m_pageInfo, {goods_id:this.goods_id})).then(res => {
        this.m_data = [...this.m_data, ...res.data.data]
        return res

      })
    },

    reportSeller() { 
      this.$router.replace({ path: '/reportSeller', query: { seller_id: this.created_by, seller_name : this.seller_name  } })
    },

    showImg(images,startPosition=0){
        ImagePreview({images,startPosition})
    }


  }

}

</script>
<style lang='scss' scoped>
.m_main_box {
//   height: 100%;
//   overflow: auto;
//   -webkit-overflow-scrolling: touch;
}

.comment-item{
     background: #fff;
     padding: 0.26rem;
     box-sizing: border-box;
     border-bottom:1px solid #eee; 

     .c-f1{
         color: #999;
     }
     .c-f2{
         color: #333;
         font-size: 0.3rem;
     }
}

.c-img{
  width: 1rem;
  height: 1rem;
  margin-right: 0.15rem;
  margin-bottom:0.15rem ;
}

.chating-icon {
  position: fixed;
  right: 10px;
  top:60px;
 
  
}
</style>